package com.mycompany.mavenparser;

import java.io.*;
import java.util.*;
import org.dom4j.*;
import org.dom4j.io.SAXReader;

public class Dom4Jparser {
     public static void main(String[] args) {
      try {
         File inputFile = new File("studenti.xml");
         SAXReader reader = new SAXReader();
         Document document = reader.read( inputFile );
         System.out.println("Root element :" + document.getRootElement().getName());
         Element classElement = document.getRootElement();
         List<Node> nodes = document.selectNodes("/classe/studente" );
         System.out.println("----------------------------");
         for (Node node : nodes) {
            System.out.println("\nCurrent Element: "+node.getName());
            System.out.println("Student roll no: "+node.valueOf("@rollno") );
            System.out.println("First Name: "+node.selectSingleNode("firstname").getText());
            System.out.println("Last Name: "+node.selectSingleNode("lastname").getText());
            System.out.println("Nick Name: "+node.selectSingleNode("nickname").getText());
         }
      } catch (DocumentException e) {
         e.printStackTrace();
      }
   }
}
